osl::rating::RatingEnv Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Public Attributes | List of all members
osl::rating::RatingEnv Class Reference

`#include <ratingEnv.h>`

Collaboration diagram for osl::rating::RatingEnv:
[legend]

## Public Member Functions
void | update (const NumEffectState &new_state, Move last_move)
void | make (const NumEffectState &new_state)
void | make (const NumEffectState &new_state, const PieceMask &my_pin, const PieceMask &op_pin, Progress16)

## Public Attributes
MoveStack | history
Square8 | sendoffs
PieceMask | my_pin
PieceMask | op_pin
int | attack_count_for_turn
Progress16 | progress
CArray< signed char, Square::SIZE > | counteffect2_cache
CArray< int, Square::SIZE > | pattern_cache

## Detailed Description

Definition at line 16 of file ratingEnv.h.

## Member Function Documentation

void osl::rating::RatingEnv::make | ( | const NumEffectState & | new_state) |  |

Definition at line 33 of file ratingEnv.cc.

References osl::alt(), and osl::progress::Effect5x3::progress16().

Referenced by osl::rating::BradleyTerry::accumulate(), osl::game_playing::UsiResponse::genmoveProbability(), main(), show(), test_file(), and test_record().

void osl::rating::RatingEnv::make | ( | const NumEffectState & | new_state,
|  | const PieceMask & | my_pin,
|  | const PieceMask & | op_pin,
|  | Progress16 | progress
| ) |  |

Definition at line 17 of file ratingEnv.cc.

References osl::alt(), count, and osl::find().

void osl::rating::RatingEnv::update | ( | const NumEffectState & | new_state,
|  | Move | last_move
| ) |  |

Definition at line 10 of file ratingEnv.cc.

Referenced by main(), test_file(), and test_record().

## Member Data Documentation

int osl::rating::RatingEnv::attack_count_for_turn

Definition at line 22 of file ratingEnv.h.

Referenced by osl::rating::DefenseKing8Group::findMatch().

CArray<signed char,Square::SIZE> osl::rating::RatingEnv::counteffect2_cache
| mutable

Definition at line 24 of file ratingEnv.h.

Referenced by osl::rating::CountEffect2::index().

MoveStack osl::rating::RatingEnv::history

Definition at line 19 of file ratingEnv.h.

Referenced by osl::rating::TakeBackGroup::findMatch(), osl::rating::ChaseGroup::findMatch(), osl::rating::ImmediateEscapeGroup::findMatchWithoutProgress(), osl::rating::DropCapturedGroup::findMatchWithoutProgress(), osl::game_playing::UsiResponse::genmoveProbability(), osl::rating::BigramAttack::index(), osl::rating::ImmediateAddSupport::index(), osl::rating::TakeBack::match(), osl::rating::TakeBack2::match(), osl::rating::ContinueCapture::match(), osl::rating::ImmediateEscape::match(), osl::rating::DropCaptured::match(), osl::rating::Chase::match(), osl::rating::ImmediateAddSupport::match(), and osl::rating::PawnAttack::match().

PieceMask osl::rating::RatingEnv::my_pin

Definition at line 21 of file ratingEnv.h.

Referenced by osl::rating::CountEffect2::count(), osl::rating::EscapePinGroup::findMatch(), osl::rating::FeatureSet::generateRating(), osl::rating::PinAttack::index(), osl::rating::PinAttack::match(), osl::rating::EscapePin::match(), and osl::rating::Capture::see().

PieceMask osl::rating::RatingEnv::op_pin

Definition at line 21 of file ratingEnv.h.

Referenced by osl::rating::CountEffect2::count(), osl::rating::PinAttack::index(), osl::rating::PinAttack::match(), and osl::rating::Capture::see().

CArray<int,Square::SIZE> osl::rating::RatingEnv::pattern_cache
| mutable

Definition at line 25 of file ratingEnv.h.

Referenced by osl::rating::PatternGroup::findMatch().

Progress16 osl::rating::RatingEnv::progress

Definition at line 23 of file ratingEnv.h.

Referenced by osl::rating::FromEffectGroup::findMatch(), osl::rating::AttackKing8Group::findMatch(), osl::rating::RelativeKingXGroup::findMatch(), osl::rating::CaptureGroup::findMatch(), osl::rating::CheckmateIfCaptureGroup::findMatch(), osl::rating::DefenseKing8Group::findMatch(), osl::rating::PinGroup::findMatch(), osl::rating::RelativeKingYGroup::findMatch(), osl::rating::PtypeAttackedGroup::findMatch(), osl::rating::ThreatmateGroup::findMatch(), osl::rating::SquareXGroup::findMatch(), osl::rating::EscapePinGroup::findMatch(), osl::rating::ToSupportedGroup::findMatch(), osl::rating::SquareYGroup::findMatch(), osl::rating::ContinueCaptureGroup::findMatch(), osl::rating::CheckGroup::findMatch(), osl::rating::ImmediateEscapeGroup::findMatch(), osl::rating::DropCapturedGroup::findMatch(), osl::rating::SendOffGroup::findMatch(), osl::rating::ImmediateAddSupportGroup::findMatch(), osl::rating::PawnAttackGroup::findMatch(), osl::rating::FeatureSet::generateLogProb(), osl::rating::FeatureSet::logProbKingEscape(), osl::rating::FeatureSet::logProbSeePlus(), osl::rating::FeatureSet::logProbTakeBack(), osl::rating::FeatureSet::makeRateWithCut(), osl::rating::RookDefense::match(), osl::rating::FeatureSet::rating(), and test_position().

Square8 osl::rating::RatingEnv::sendoffs

Definition at line 20 of file ratingEnv.h.

Referenced by osl::rating::SendOffGroup::findMatch(), and osl::rating::SendOff::match().

The documentation for this class was generated from the following files:

- ratingEnv.h
- ratingEnv.cc